package com.ruoyi.business.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.business.domain.TbUserConfig;

/**
 * 用户设置Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface TbUserConfigMapper 
{
    /**
     * 查询用户设置
     * 
     * @param userId 用户设置主键
     * @return 用户设置
     */
    public TbUserConfig selectTbUserConfigByUserId(Long userId);

    /**
     * 查询用户设置列表
     * 
     * @param tbUserConfig 用户设置
     * @return 用户设置集合
     */
    public List<TbUserConfig> selectTbUserConfigList(TbUserConfig tbUserConfig);

    /**
     * 新增用户设置
     * 
     * @param tbUserConfig 用户设置
     * @return 结果
     */
    public int insertTbUserConfig(TbUserConfig tbUserConfig);

    /**
     * 修改用户设置
     * 
     * @param tbUserConfig 用户设置
     * @return 结果
     */
    public int updateTbUserConfig(TbUserConfig tbUserConfig);

    /**
     * 删除用户设置
     * 
     * @param userId 用户设置主键
     * @return 结果
     */
    public int deleteTbUserConfigByUserId(Long userId);

    /**
     * 批量删除用户设置
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserConfigByUserIds(String[] userIds);

}
